import { supports } from './supports.mjs';
import { cubicBezierAsString } from './easing.mjs';

function animateStyle(element, valueName, keyframes, { delay, duration, ease }) {
    if (!supports.waapi())
        return undefined;
    const animation = element.animate({ [valueName]: keyframes }, {
        delay,
        duration,
        easing: Array.isArray(ease) ? cubicBezierAsString(ease) : ease,
        fill: "both",
    });
    return animation;
}

export { animateStyle };
